//Warning functions

#include "warnings.h"
//WARNINGS
//2 sec time to fix seg. fault
void unload_plugin() {

	xchat_command(ph, "timer 2 unload systray");

}
//alerts if file settings has not been created or not readable
void show_warning() {

	GtkWidget *window;
	GtkWidget *button,*titlebox,*box1,*box2;
	GtkWidget *label;

	xchat_printf(ph,"SysTray Integration Plugin not setted properly, please set it now");

	//create box and window
	window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
	gtk_window_set_title (GTK_WINDOW (window), "Settings Missing");
	gtk_window_set_resizable(GTK_WINDOW (window),FALSE);
	gtk_container_set_border_width (GTK_CONTAINER (window), 10);

	//first container box
	box1 = gtk_vbox_new (FALSE, 0);
	gtk_container_add (GTK_CONTAINER (window), box1);
	gtk_widget_show (box1);

	//other containers
	titlebox = gtk_hbox_new (FALSE, 0);
    	gtk_box_pack_start (GTK_BOX (box1), titlebox, FALSE, FALSE, 0);
   	gtk_widget_show (titlebox);

	box2 = gtk_hbox_new (FALSE, 10);
    	gtk_box_pack_start (GTK_BOX (box1), box2, FALSE, FALSE, 0);
   	gtk_widget_show (box2);

	label = gtk_label_new ("SysTray Integration Plugin Settings\n\nare corrupted, not setted properly or missing.\n\nPlease set it now to use Plugin Features\n\n");
  	gtk_box_pack_start (GTK_BOX (titlebox), label, FALSE, FALSE, 0);
  	gtk_widget_show (label);

	//set now
	button = gtk_button_new_with_label ("Set it now");
   	g_signal_connect (G_OBJECT (button), "clicked", G_CALLBACK (set_tray), NULL);
	g_signal_connect_swapped (G_OBJECT (button), "clicked",G_CALLBACK (gtk_widget_destroy),G_OBJECT (window));
    	gtk_box_pack_start (GTK_BOX (box2), button, FALSE, FALSE, 40);
    	gtk_widget_show (button);

	//do not set
	button = gtk_button_new_with_label ("I'll set it later");
	g_signal_connect_swapped (G_OBJECT (button), "clicked",G_CALLBACK (gtk_widget_destroy),G_OBJECT (window));
	gtk_box_pack_start (GTK_BOX (box2), button, FALSE, FALSE, 40);
	gtk_widget_show (button);
	gtk_widget_show (box1);
	gtk_widget_show (box2);
	gtk_widget_show (window);
}


//alerts when you change win manager settings
void show_win_manager_warning() {

   GtkWidget *dialog=gtk_message_dialog_new (NULL,
                                  GTK_DIALOG_DESTROY_WITH_PARENT,
                                  GTK_MESSAGE_ERROR,
                                  GTK_BUTTONS_CLOSE,
                                  "You have changed your Window Manager.\n\nPlease restart plugin or XChat (suggested) now.\n\nXChat can become instable if you continue.");
 gtk_window_set_title (GTK_WINDOW (dialog), "Attention, Important Warning!");
 gtk_dialog_run (GTK_DIALOG (dialog));
 gtk_widget_destroy (dialog);


}

//if version is old
void version_warning() {

	GtkWidget *window;
	GtkWidget *button,*titlebox,*box1,*box2;
	GtkWidget *label;

	xchat_print (ph, "Your XChat version is too old!\n");
	xchat_print (ph, "You will not be able to use: Minimize, Restore, Exit, Focus features.\n");
	xchat_print (ph, "Please update it http://www.xchat.org\n");

	//create box and window
	window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
	gtk_window_set_title (GTK_WINDOW (window), "Version Problem");
	gtk_window_set_resizable(GTK_WINDOW (window),FALSE);
	gtk_container_set_border_width (GTK_CONTAINER (window), 10);

	//first container box
	box1 = gtk_vbox_new (FALSE, 0);
	gtk_container_add (GTK_CONTAINER (window), box1);
	gtk_widget_show (box1);

	//other containers
	titlebox = gtk_hbox_new (FALSE, 0);
    	gtk_box_pack_start (GTK_BOX (box1), titlebox, FALSE, FALSE, 0);
   	gtk_widget_show (titlebox);

	box2 = gtk_hbox_new (FALSE, 10);
    	gtk_box_pack_start (GTK_BOX (box1), box2, FALSE, FALSE, 0);
   	gtk_widget_show (box2);

	label = gtk_label_new ("You have an old XChat version.\n\nThis means you will not be able to use some features like:\n  1) Restore\n  2) Minimize\n  3) Exit\n  4) Full Focus feature\n\n However you can use SysTray Plugin without them\n or you can choose to unload plugin.\n\n");
  	gtk_box_pack_start (GTK_BOX (titlebox), label, FALSE, FALSE, 0);
  	gtk_widget_show (label);

	//use
	button = gtk_button_new_with_label ("Use it");
   	g_signal_connect_swapped (G_OBJECT (button), "clicked",G_CALLBACK (gtk_widget_destroy),G_OBJECT (window));
    	gtk_box_pack_start (GTK_BOX (box2), button, FALSE, FALSE, 60);
    	gtk_widget_show (button);

	//unload
	button = gtk_button_new_with_label ("Unload");
	g_signal_connect (G_OBJECT (button), "clicked",G_CALLBACK (unload_plugin),0);
	g_signal_connect_swapped (G_OBJECT (button), "clicked",G_CALLBACK (gtk_widget_destroy),G_OBJECT (window));
	gtk_box_pack_start (GTK_BOX (box2), button, FALSE, FALSE, 40);
	gtk_widget_show (button);
	gtk_widget_show (box1);
	gtk_widget_show (box2);
	gtk_widget_show (window);
}


